Skip to main content
GET
/
v1
/
vol-oi
/
{ticker}
Volume-vs-Open-Interest accumulation analysis
curl --request GET \
  --url https://flow-api.skylit.ai/v1/vol-oi/{ticker} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "ticker": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "volOiAnalysis": {
      "calls": {
        "totalVolume": 1,
        "totalOi": 1,
        "volOiRatio": 123,
        "byMoneyness": {
          "otm10plus": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          },
          "otm510": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          },
          "otm35": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          },
          "atmItm": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          }
        }
      },
      "puts": {
        "totalVolume": 1,
        "totalOi": 1,
        "volOiRatio": 123,
        "byMoneyness": {
          "otm10plus": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          },
          "otm510": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          },
          "otm35": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          },
          "atmItm": {
            "volume": 1,
            "oi": 1,
            "ratio": 123
          }
        }
      }
    },
    "accumulationScore": 50,
    "newPositionEstimatePct": 50
  },
  "meta": {
    "timestamp": "2023-11-07T05:31:56Z",
    "requestId": "d7574836"
  }
}

Authorizations

Authorization
string
header
required

Skylit API key in the Authorization header (Authorization: Bearer fs_live_<key>). X-API-Key is also accepted.

Path Parameters

ticker
string
required

Underlying ticker symbol (uppercase, e.g. SPY, AAPL).

Example:

"SPY"

Query Parameters

timeframe
enum<string>
default:daily
Available options:
daily,
weekly
optionType
enum<string>
default:all
Available options:
call,
put,
all
moneyness
enum<string>
default:all
Available options:
otm_10plus,
otm_5_10,
otm_3_5,
atm_itm,
all
minOi
integer
Required range: x >= 0
date
string<date>

Response

Vol/OI breakdown with accumulation score.

data
object
required
meta
object
required